variables:
  WOBCOM_REGISTRY: harbor.service.wobcom.de/dockerhub-proxy
  GOLANG_IMAGE: $WOBCOM_REGISTRY/library/golang:1.19-alpine
  DEPS_COMMAND: apk add build-base git go-task
.deps-command: &deps-command $DEPS_COMMAND
.base: &base
  image: $GOLANG_IMAGE
  tags:
  - docker
  - dind
  - ubuntu
stages:
- lint
- test
lint:
  !!merge <<: *base
  stage: lint
  script:
  - *deps-command
  - go-task lint
test:
  !!merge <<: *base
  stage: test
  script:
  - *deps-command
  - go-task test
